<?php



/*

  ============================================================
    Menu-Select-Box Plugin
  ============================================================
    Version:	  v1.0 basic (see website for advanced version)
    Released:	  17th August 2006
    Copyright:	Jan Neugebauer
    Email:      cmsimple2006@internet-setup.de
    Website:    www.internet-setup.de/cmsimple/index.php
  ============================================================

*/



//////////////////////////////////////////////////////////////////////////////
// !! DO NOT CHANGE ANYTHING BELOW HERE UNTIL YOU KNOW WHAT YOU DO !!       //
//////////////////////////////////////////////////////////////////////////////

// $cf  - CMSimple config
// $h   - heading text
// $hc  - heading current number.
// $l   - heading sub-category level
// $s   - active heading



if (!empty($_POST['jn_menu_select_box_post']))
{
    //echo "POST=".$_POST['jn_menu_select_box_post']."<br>";
    header("Location: index.php?".$_POST['jn_menu_select_box_post']);
    exit;
}




function JN_menu_select_box_show($this_style='', $this_cf_feature_show_active='', $this_cf_feature_enumerate='', $this_cf_feature_enumerate_cmsimple_functions='', $this_cf_feature_submit_button='', $this_cf_feature_js_submit='', $this_cf_feature_collapse='', $this_cf_feature_cmsimple_functions='') {


// import from Plugin Manager
global $plugin_cf, $plugin_tx;

//global $pth,$sl,$plugin;


// import from CMSimple
global $c, $cf, $h, $hc, $l, $s, $tx;



$this_version = 'basic';


if (empty($this_cf_feature_show_active)) { $this_cf_feature_show_active = $plugin_cf['jn_menu_select_box']['feature_show_active']; }
if (empty($this_cf_feature_enumerate)) { $this_cf_feature_enumerate = $plugin_cf['jn_menu_select_box']['feature_enumerate']; }
if (empty($this_cf_feature_enumerate_cmsimple_functions)) { $this_cf_feature_enumerate_cmsimple_functions = $plugin_cf['jn_menu_select_box']['feature_enumerate_cmsimple_functions']; }
if (empty($this_cf_feature_submit_button)) { $this_cf_feature_submit_button = $plugin_cf['jn_menu_select_box']['feature_submit_button']; }
if (empty($this_cf_feature_js_submit)) { $this_cf_feature_js_submit = $plugin_cf['jn_menu_select_box']['feature_js_submit']; }
if (empty($this_cf_feature_collapse)) { $this_cf_feature_collapse = $plugin_cf['jn_menu_select_box']['feature_collapse']; }
if (empty($this_cf_feature_cmsimple_functions)) { $this_cf_feature_cmsimple_functions = $plugin_cf['jn_menu_select_box']['feature_cmsimple_functions']; }



$menu_select_box      = "";
$menu_options         = "";
$menu_option_selected = "";

$link_desc_no         = "";
$link_desc_no_h1      = "";
$link_desc_no_h2      = "";
$link_desc_no_h3      = "";

$link_para            = "";
$link_prefix          = "";
$link_desc            = "";

$select_menu_array    = ARRAY();


$plugin_cf['jn_menu_select_box']['prefix_h1'] = str_replace(' ', '&nbsp;', $plugin_cf['jn_menu_select_box']['prefix_h1']);
$plugin_cf['jn_menu_select_box']['prefix_h2'] = str_replace(' ', '&nbsp;', $plugin_cf['jn_menu_select_box']['prefix_h2']);
$plugin_cf['jn_menu_select_box']['prefix_h3'] = str_replace(' ', '&nbsp;', $plugin_cf['jn_menu_select_box']['prefix_h3']);


$link_active = -1;

$menu_select_box = "\n\n\n\n".'<form method=POST name="jn_menu_select_box_form" action="">'."\n\n";
$menu_select_box .= '<select name="jn_menu_select_box_post" size="1" ';


if ($this_version == 'basic') {
	$style_box = 'jn_menu_select_box';
	$style_box_submit = 'jn_menu_select_box_submit';
}
$menu_select_box .= ' class="'.$style_box.'" >'."\n\n";




foreach($h AS $key => $value)
{
  
  $push_menu_item = FALSE;
  //if ($key == $s) { $link_active = $key; }

	if (preg_match("/\#CMSimple hide\#/is",$c[$key])) { continue; }

  if ($l[$key] == "1")
	{
		$push_menu_item = TRUE;
		
		$h1_id   = $key;
		$h2_id   = "";
		$h3_id   = "";
		$h1_desc = $value;
		$h2_desc = "";
		$h3_desc = "";
	}


	if ($l[$key] == "2")
	{
		$push_menu_item = TRUE;

		$h2_id   = $key;
		$h3_id   = "";
		$h2_desc = $value;
		$h3_desc = "";
	}

	if ($l[$key] == "3")
	{
		$push_menu_item = TRUE;

		$h3_id   = $key;
		$h3_desc = $value;
	}

  if ($push_menu_item == TRUE) {
    $select_menu_array[$key] = ARRAY("id"=>$key+1, "sub"=>$l[$key], "h1_id"=>$h1_id, "h1_desc"=>$h1_desc, "h2_id"=>$h2_id, "h2_desc"=>$h2_desc, "h3_id"=>$h3_id, "h3_desc"=>$h3_desc);
    $last_id = $key;
  }
  
}




foreach ($select_menu_array AS $item)
{
    if (!empty($item['id']))
    {
        if ($item['sub'] == 1)
        {
        	$link_desc_no_h1++;
    		$link_desc_no_h2 = "";
    		$link_desc_no_h3 = "";
            $link_para   = uenc($item['h1_desc']);
        	$link_prefix = $plugin_cf['jn_menu_select_box']['prefix_h1'];
        	$link_desc   = $item['h1_desc'];
        }

        if ($item['sub'] == 2)
        {
        	$link_desc_no_h2++;
    		$link_desc_no_h3 = "";
        	$link_para   = uenc($item['h1_desc']).$cf['uri']['seperator'].uenc($item['h2_desc']);
        	$link_prefix = $plugin_cf['jn_menu_select_box']['prefix_h2'];
        	$link_desc   = $item['h2_desc'];
        }

        if ($item['sub'] == 3)
        {
        	$link_desc_no_h3++;
        	$link_para   = uenc($item['h1_desc']).$cf['uri']['seperator'].uenc($item['h2_desc']).$cf['uri']['seperator'].uenc($item['h3_desc']);
        	$link_prefix = $plugin_cf['jn_menu_select_box']['prefix_h3'];
        	$link_desc   = $item['h3_desc'];
        }
        


        
        $menu_options .= '<option value="'.$link_para.'">'.$link_prefix.$link_desc_no.$link_desc.'</option>'."\n";

    } // if (!empty($item['id']))

} // foreach




$menu_select_box .= $menu_option_selected.$menu_options;




$menu_select_box .= "\n\n".'</select>'."\n\n";
if ($this_version == 'basic' OR strtoupper($this_cf_feature_submit_button) == "TRUE")
{
	$menu_select_box .= '<input type="submit" name="jn_menu_select_box_submit_post" value="'.$plugin_tx['jn_menu_select_box']['sel_submit'].'" class="'.$style_box_submit.'">'."\n\n";
}
$menu_select_box .= '</form>'."\n\n\n\n";


return $menu_select_box;

} // function jn_menu_select_box_show()

?>